CSH.DisplayHelpFromFocus
Keywords: javax.help.CSH.DisplayHelpFromFocus class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help
Class CSH.DisplayHelpFromFocus

    java.lang.Object
      javax.help.CSH.DisplayHelpFromFocus

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

Enclosing class:
  CSH

public static class CSH.DisplayHelpFromFocus
extends java.lang.Object
implements java.awt.event.ActionListener

An ActionListener that displays the help of the object that currently has focus. This method is used to enable HelpKey action listening for components other than the RootPane. This listener determines if the object with the current focus has a helpID. If it does, the helpID is displayed, otherwise the helpID on the action's source is displayed (if one exists).

See Also:
  `HelpBroker.enableHelpKey`

Constructor Summary
`CSH.DisplayHelpFromFocus(HelpBroker hb)`
`CSH.DisplayHelpFromFocus(HelpSet hs, java.lang.String presentation, java.lang.String presentationName)` Create a DisplayHelpFromFocus actionListener for a given HelpSet.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSH.DisplayHelpFromFocus

    public CSH.DisplayHelpFromFocus(HelpBroker hb)

### CSH.DisplayHelpFromFocus

    public CSH.DisplayHelpFromFocus(HelpSet hs,
                                    java.lang.String presentation,
                                    java.lang.String presentationName)

  Create a DisplayHelpFromFocus actionListener for a given HelpSet. Display the results in specific Presentation of given PresentationName.

Parameters:
  `hs` - A valid HelpSet.
Throws:
  `java.lang.NullPointerException` - if hs is Null.
  `java.lang.IllegalArgumentException` - if presentation is not valid.

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD